Skip to main content
GET
/
texml
/
Accounts
/
{account_sid}
/
Conferences
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const response = await client.texml.accounts.conferences.retrieveConferences('account_sid');

console.log(response.conferences);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.texml.accounts.conferences.retrieve_conferences(
account_sid="account_sid",
)
print(response.conferences)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Texml.Accounts.Conferences.GetConferences(
context.TODO(),
"account_sid",
telnyx.TexmlAccountConferenceGetConferencesParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Conferences)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.texml.accounts.conferences.ConferenceRetrieveConferencesParams;
import com.telnyx.sdk.models.texml.accounts.conferences.ConferenceRetrieveConferencesResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

ConferenceRetrieveConferencesResponse response = client.texml().accounts().conferences().retrieveConferences("account_sid");
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

response = telnyx.texml.accounts.conferences.retrieve_conferences("account_sid")

puts(response)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$response = $client->texml->accounts->conferences->retrieveConferences(
'account_sid',
dateCreated: 'DateCreated',
dateUpdated: 'DateUpdated',
friendlyName: 'FriendlyName',
page: 0,
pageSize: 0,
pageToken: 'PageToken',
status: 'init',
);

var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx texml:accounts:conferences retrieve-conferences \
--api-key 'My API Key' \
--account-sid account_sid
curl --request GET \
--url https://api.telnyx.com/v2/texml/Accounts/{account_sid}/Conferences \
--header 'Authorization: Bearer <token>'
{
  "conferences": [],
  "end": 0,
  "first_page_uri": "/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Conferences.json?Page=0&PageSize=1",
  "next_page_uri": "/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Conferences.json?Page=1&PageSize=1&PageToken=MTY4AjgyNDkwNzIxMQ",
  "page": 0,
  "page_size": 1,
  "start": 0,
  "uri": "/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Conferences.json?Page=0&PageSize=1"
}
{
"errors": [
{
"detail": "Resource not found"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_sid
string
required

The id of the account the resource belongs to.

Query Parameters

Page
integer

The number of the page to be displayed, zero-indexed, should be used in conjuction with PageToken.

PageSize
integer

The number of records to be displayed on a page

PageToken
string

Used to request the next page of results.

FriendlyName
string

Filters conferences by their friendly name.

Status
enum<string>

Filters conferences by status.

Available options:
init,
in-progress,
completed
DateCreated
string

Filters conferences by the creation date. Expected format is YYYY-MM-DD. Also accepts inequality operators, e.g. DateCreated>=2023-05-22.

DateUpdated
string

Filters conferences by the time they were last updated. Expected format is YYYY-MM-DD. Also accepts inequality operators, e.g. DateUpdated>=2023-05-22.

Response

Multiple conference resources.

conferences
Conference resource · object[]
end
integer

The number of the last element on the page, zero-indexed.

Example:

19

first_page_uri
string

/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Conferences.json?Page=0&PageSize=1

Example:

"accepted"

next_page_uri
string

/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Conferences.json?Page=1&PageSize=1&PageToken=MTY4AjgyNDkwNzIxMQ

Example:

"accepted"

page
integer

Current page number, zero-indexed.

Example:

0

page_size
integer

The number of items on the page

Example:

20

start
integer

The number of the first element on the page, zero-indexed.

Example:

0

uri
string

The URI of the current page.

Example:

"/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Conferences.json?Page=0&PageSize=1"